org.apache.maven.scm.provider

## Class ScmUrlUtils

- java.lang.Object
- - org.apache.maven.scm.provider.ScmUrlUtils

    public abstract class ScmUrlUtils
    extends Object

A utility class that validates and parses scm url:s. The code here is not scm provider specific.

If you need methods that work for a specific scm provider, please create a similar class for that provider. E.g. create the class CvsScmUrlUtils if you need cvs specific checking/parsing.

Version:
  $Id: ScmUrlUtils.java 686197 2008-08-15 12:13:29Z vsiveton $
Author:
  Dennis Lundberg

### Constructor Summary

Constructors
Constructor and Description
`ScmUrlUtils()`

### Method Summary

Methods
`static String` `getDelimiter(String scmUrl)` Get the delimiter used in the scm url.
`static String` `getProvider(String scmUrl)` Get the scm provider from the scm url.
`static String` `getProviderSpecificPart(String scmUrl)` Get the provider specific part of the scm url.
`static boolean` `isValid(String scmUrl)` Validate that the scm url is in the correct format.
`static List` `validate(String scmUrl)` Validate that the scm url is in the correct format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScmUrlUtils

    public ScmUrlUtils()

### Method Detail

#### getDelimiter

    public static String getDelimiter(String scmUrl)

Get the delimiter used in the scm url.

Parameters:
  `scmUrl` - A valid scm url to parse
Returns:
  The delimiter used in the scm url

#### getProvider

    public static String getProvider(String scmUrl)

Get the scm provider from the scm url.

Parameters:
  `scmUrl` - A valid scm url to parse
Returns:
  The scm provider from the scm url

#### getProviderSpecificPart

    public static String getProviderSpecificPart(String scmUrl)

Get the provider specific part of the scm url.

Parameters:
  `scmUrl` - A valid scm url to parse
Returns:
  The provider specific part of the scm url

#### isValid

    public static boolean isValid(String scmUrl)

Validate that the scm url is in the correct format.

Note: does not validate scm provider specific format.

Parameters:
  `scmUrl` - The scm url to validate
Returns:
  `true` if the scm url is in the correct format, otherwise `false`

#### validate

    public static List validate(String scmUrl)

Validate that the scm url is in the correct format.

Note: does not validate scm provider specific format.

Parameters:
  `scmUrl` - The scm url to validate
Returns:
  A `List` that contains the errors that occured